Voos
Read the next page of a running search. `status` becomes `complete` when every supplier answered.
get/v1/flights/search/{searchId}
- Requer autenticação
Parâmetros
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
| searchId* | caminho | string | |
| cursor | consulta | integer (int32) | |
| adults | consulta | integer (int32) | |
| children | consulta | integer (int32) | |
| infants | consulta | integer (int32) |
Respostas
200OKFlightSearchResponse
- searchIdstring
- statusstring
in_progress | complete.
- cursorinteger (int32)
- suppliersDoneinteger (int32)
- supplierCountinteger (int32)
- FlightOffer[]
- offerIdstring
- expiresAtstring (date-time)
UTC ISO-8601; the offer must be priced/booked before this.
- validatingCarrierstringanulável
- Slice[]
- PassengerPricing[]
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- refundablebooleananulável
- passportRequiredboolean
- selfTransferboolean
- charterboolean
- tripTypestringanulável
- 404Not FoundDetalhes do problema RFC 7807
Exemplos de código
Programas completos que assinam o pedido tal como o gateway o verifica. Substitua YOUR_KEY_ID e YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/search/04864abd0ae74b10baa02b8214a2044f\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/flights/search/04864abd0ae74b10baa02b8214a2044f" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"